<?php
require_once(getabspath("classes/cipherer.php"));



$tdataentrega_titulo = array();
$tdataentrega_titulo[".ShortName"] = "entrega_titulo";

$tdataentrega_titulo[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdataentrega_titulo[".originalPagesByType"] = $tdataentrega_titulo[".pagesByType"];
$tdataentrega_titulo[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdataentrega_titulo[".originalPages"] = $tdataentrega_titulo[".pages"];
$tdataentrega_titulo[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdataentrega_titulo[".originalDefaultPages"] = $tdataentrega_titulo[".defaultPages"];


//	field labels
$fieldLabelsentrega_titulo = array();
$pageTitlesentrega_titulo = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsentrega_titulo["Spanish"] = array();
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_entregados_id_Entrega"] = "Id Entrega";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_entregados_fecha_entrega"] = "Fecha Entrega";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_entregados_derecho_Propietario"] = "Derecho Propietario";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_entregados_estado"] = "Estado";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_entregados_respaldo"] = "Respaldo";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_entregados_accionista"] = "Accionista";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_entregados_id_constitucion"] = "Id Constitucion";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_entregados_correlativo_entregado"] = "Correlativo Entregado";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_entregados_correlativo_pendiente"] = "Correlativo Pendiente";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_pendientes_id_Entrega"] = "Id Entrega";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_pendientes_fecha_entrega"] = "Fecha Entrega";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_pendientes_derecho_Propietario"] = "Derecho Propietario";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_pendientes_estado"] = "Estado";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_pendientes_respaldo"] = "Respaldo";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_pendientes_accionista"] = "Accionista";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_pendientes_id_constitucion"] = "Id Constitucion";
	$fieldLabelsentrega_titulo["Spanish"]["Titulos_pendientes_correlativo_pendiente"] = "Correlativo Pendiente";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_id_constitucion"] = "Constitucion";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_fecha_constitucion"] = "Fecha Constitucion";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_acciones_emitidas"] = "Acciones Emitidas";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_valor_nominal"] = "Valor Nominal";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_capital_autorizado"] = "Capital Autorizado";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_capital_pagado"] = "Capital Pagado";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_serie_acciones"] = "Serie Acciones";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_clases_acciones"] = "Clases Acciones";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_duracion"] = "Duracion";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_domicilio"] = "Domicilio";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_lugar_constitucion"] = "Lugar Constitucion";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_matricula_comercio"] = "Lista Derecho Propietario";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_fecha_inicial"] = "Fecha Actualizacion";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_fecha_final"] = "Fecha Final";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_id_Empresa"] = "Id Empresa";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_nombre"] = "Nombre";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_nit"] = "Nit";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_acciones_Asignado"] = "Acciones Asignado";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_saldo_Acciones"] = "Saldo Acciones";
	$fieldLabelsentrega_titulo["Spanish"]["constitucion_empresa_titulo_Acciones_emita"] = "Acciones Emita";
}

/*
//	search fields
$tdataentrega_titulo[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"Titulos_entregados", "field"=>"id_Entrega" );
$tdataentrega_titulo[".searchFields"]["Titulos_entregados_id_Entrega"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_entregados", "field"=>"fecha_entrega" );
$tdataentrega_titulo[".searchFields"]["Titulos_entregados_fecha_entrega"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_entregados", "field"=>"derecho_Propietario" );
$tdataentrega_titulo[".searchFields"]["Titulos_entregados_derecho_Propietario"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_entregados", "field"=>"estado" );
$tdataentrega_titulo[".searchFields"]["Titulos_entregados_estado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_entregados", "field"=>"respaldo" );
$tdataentrega_titulo[".searchFields"]["Titulos_entregados_respaldo"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_entregados", "field"=>"accionista" );
$tdataentrega_titulo[".searchFields"]["Titulos_entregados_accionista"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_entregados", "field"=>"id_constitucion" );
$tdataentrega_titulo[".searchFields"]["Titulos_entregados_id_constitucion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_entregados", "field"=>"correlativo_entregado" );
$tdataentrega_titulo[".searchFields"]["Titulos_entregados_correlativo_entregado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_entregados", "field"=>"correlativo_pendiente" );
$tdataentrega_titulo[".searchFields"]["Titulos_entregados_correlativo_pendiente"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_pendientes", "field"=>"id_Entrega" );
$tdataentrega_titulo[".searchFields"]["Titulos_pendientes_id_Entrega"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_pendientes", "field"=>"fecha_entrega" );
$tdataentrega_titulo[".searchFields"]["Titulos_pendientes_fecha_entrega"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_pendientes", "field"=>"derecho_Propietario" );
$tdataentrega_titulo[".searchFields"]["Titulos_pendientes_derecho_Propietario"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_pendientes", "field"=>"estado" );
$tdataentrega_titulo[".searchFields"]["Titulos_pendientes_estado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_pendientes", "field"=>"respaldo" );
$tdataentrega_titulo[".searchFields"]["Titulos_pendientes_respaldo"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_pendientes", "field"=>"accionista" );
$tdataentrega_titulo[".searchFields"]["Titulos_pendientes_accionista"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_pendientes", "field"=>"id_constitucion" );
$tdataentrega_titulo[".searchFields"]["Titulos_pendientes_id_constitucion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Titulos_pendientes", "field"=>"correlativo_pendiente" );
$tdataentrega_titulo[".searchFields"]["Titulos_pendientes_correlativo_pendiente"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"id_constitucion" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_id_constitucion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"fecha_constitucion" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_fecha_constitucion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"acciones_emitidas" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_acciones_emitidas"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"valor_nominal" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_valor_nominal"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"capital_autorizado" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_capital_autorizado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"capital_pagado" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_capital_pagado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"serie_acciones" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_serie_acciones"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"clases_acciones" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_clases_acciones"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"duracion" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_duracion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"domicilio" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_domicilio"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"lugar_constitucion" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_lugar_constitucion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"matricula_comercio" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_matricula_comercio"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"fecha_inicial" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_fecha_inicial"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"fecha_final" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_fecha_final"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"id_Empresa" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_id_Empresa"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"nombre" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_nombre"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"nit" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_nit"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"acciones_Asignado" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_acciones_Asignado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"saldo_Acciones" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_saldo_Acciones"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"constitucion_empresa_titulo", "field"=>"Acciones_emita" );
$tdataentrega_titulo[".searchFields"]["constitucion_empresa_titulo_Acciones_emita"] = $dashField;

// all search fields
$tdataentrega_titulo[".allSearchFields"] = array();
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_entregados_id_Entrega";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_entregados_fecha_entrega";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_entregados_derecho_Propietario";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_entregados_estado";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_entregados_respaldo";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_entregados_accionista";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_entregados_id_constitucion";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_entregados_correlativo_entregado";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_entregados_correlativo_pendiente";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_pendientes_id_Entrega";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_pendientes_fecha_entrega";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_pendientes_derecho_Propietario";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_pendientes_estado";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_pendientes_respaldo";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_pendientes_accionista";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_pendientes_id_constitucion";
$tdataentrega_titulo[".allSearchFields"][] = "Titulos_pendientes_correlativo_pendiente";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_id_constitucion";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_fecha_constitucion";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_acciones_emitidas";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_valor_nominal";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_capital_autorizado";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_capital_pagado";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_serie_acciones";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_clases_acciones";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_duracion";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_domicilio";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_lugar_constitucion";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_matricula_comercio";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_fecha_inicial";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_fecha_final";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_id_Empresa";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_nombre";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_nit";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_acciones_Asignado";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_saldo_Acciones";
$tdataentrega_titulo[".allSearchFields"][] = "constitucion_empresa_titulo_Acciones_emita";

// good like search fields
$tdataentrega_titulo[".googleLikeFields"] = array();
$tdataentrega_titulo[".googleLikeFields"][] = "Titulos_entregados_id_Entrega";
$tdataentrega_titulo[".googleLikeFields"][] = "Titulos_entregados_fecha_entrega";
$tdataentrega_titulo[".googleLikeFields"][] = "Titulos_entregados_derecho_Propietario";
$tdataentrega_titulo[".googleLikeFields"][] = "Titulos_entregados_estado";
$tdataentrega_titulo[".googleLikeFields"][] = "Titulos_entregados_respaldo";
$tdataentrega_titulo[".googleLikeFields"][] = "Titulos_entregados_accionista";
$tdataentrega_titulo[".googleLikeFields"][] = "Titulos_entregados_id_constitucion";
$tdataentrega_titulo[".googleLikeFields"][] = "Titulos_entregados_correlativo_entregado";
$tdataentrega_titulo[".googleLikeFields"][] = "Titulos_entregados_correlativo_pendiente";
*/

/*
$tdataentrega_titulo[".dashElements"] = array();

	$dbelement = array( "elementName" => "Titulos_entregados_grid", "table" => "Titulos_entregados",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;
	

	$tdataentrega_titulo[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Titulos_pendientes_grid", "table" => "Titulos_pendientes",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;
	

	$tdataentrega_titulo[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "constitucion_empresa_titulo_record", "table" => "constitucion_empresa_titulo",
		 "pageName" => "","type" => 3);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;
	$dbelement["tabsPageTypes"] = array();
	$dbelement["pageNames"] = array();
					$dbelement["initialTabPageType"] = PAGE_VIEW;


	$tdataentrega_titulo[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "constitucion_empresa_titulo_search", "table" => "constitucion_empresa_titulo",
		 "pageName" => "","type" => 4);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;


	$tdataentrega_titulo[".dashElements"][] = $dbelement;
*/
$tdataentrega_titulo[".shortTableName"] = "entrega_titulo";
$tdataentrega_titulo[".entityType"] = 4;




$tdataentrega_titulo[".hasEvents"] = false;


$tdataentrega_titulo[".tableType"] = "dashboard";


																											
$tdataentrega_titulo[".addPageEvents"] = false;

$tdataentrega_titulo[".isUseAjaxSuggest"] = true;

$tables_data["entrega_titulo"]=&$tdataentrega_titulo;
$field_labels["entrega_titulo"] = &$fieldLabelsentrega_titulo;
$page_titles["entrega_titulo"] = &$pageTitlesentrega_titulo;

?>